cURL
curl --request GET \
--url https://api.openformat.tech/v1/leaderboard \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.openformat.tech/v1/leaderboard"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.openformat.tech/v1/leaderboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"user": "0x03755352654d73da06756077dd7f040adce3fd58",
"xp_rewarded": "310"
},
{
"user": "0x16bb52a951e3dd1d2cdb95b1a70c2b05ce1e4cee",
"xp_rewarded": "110"
},
{
"user": "0xb98492ec79fcc78cb584eafacee18d9a4cdc3424",
"xp_rewarded": "60"
},
{
"user": "0x7d92949b4dace9aee85ecd7d362b3a8ffc40e00a",
"xp_rewarded": "30"
}
]
{
"success": false,
"error": {
"issues": [
{
"validation": "regex",
"code": "invalid_string",
"message": "Invalid",
"path": [
"start"
]
},
{
"validation": "regex",
"code": "invalid_string",
"message": "Invalid",
"path": [
"end"
]
},
{
"validation": "regex",
"code": "invalid_string",
"message": "Invalid",
"path": [
"page"
]
},
{
"validation": "regex",
"code": "invalid_string",
"message": "Invalid",
"path": [
"page_size"
]
}
],
"name": "ZodError"
}
}
Leaderboard
Get Leaderboard
Get all Leaderboard
GET
/
leaderboard
cURL
[
{
"user": "0x03755352654d73da06756077dd7f040adce3fd58",
"xp_rewarded": "310"
},
{
"user": "0x16bb52a951e3dd1d2cdb95b1a70c2b05ce1e4cee",
"xp_rewarded": "110"
},
{
"user": "0xb98492ec79fcc78cb584eafacee18d9a4cdc3424",
"xp_rewarded": "60"
},
{
"user": "0x7d92949b4dace9aee85ecd7d362b3a8ffc40e00a",
"xp_rewarded": "30"
}
]
{
"success": false,
"error": {
"issues": [
{
"validation": "regex",
"code": "invalid_string",
"message": "Invalid",
"path": [
"start"
]
},
{
"validation": "regex",
"code": "invalid_string",
"message": "Invalid",
"path": [
"end"
]
},
{
"validation": "regex",
"code": "invalid_string",
"message": "Invalid",
"path": [
"page"
]
},
{
"validation": "regex",
"code": "invalid_string",
"message": "Invalid",
"path": [
"page_size"
]
}
],
"name": "ZodError"
}
}
Authorizations
Query Parameters
Blockchain network to use
Required string length:
1 - 255Example:
"arbitrum-sepolia"
Ethereum address of the application we are insterested
Pattern:
^(0x)?[0-9a-fA-F]{40}$Example:
"0x9716fb655f2a72b1fc1b4db02b8ad20b6747442a"
Ethereum address of the token to use
Pattern:
^(0x)?[0-9a-fA-F]{40}$Example:
"0xd1f09c70f6f2838a3ab6209c1465af68594667ec"
Timestamp for start date
Pattern:
^\d+$Example:
"0"
Timestamp for end date
Pattern:
^\d+$Example:
"9999999999999999"
Results page
Pattern:
^\d+$Example:
"1"
Page size
Pattern:
^\d+$Example:
"20"
⌘I